Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455452 - RFE: delalloc helpers for ext4
Summary: RFE: delalloc helpers for ext4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Eric Sandeen
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-15 15:47 UTC by Eric Sandeen
Modified: 2009-01-20 20:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:22:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Eric Sandeen 2008-07-15 15:47:15 UTC
Although I don't currently plan to ship delalloc-enabled ext4 in the RHEL5.3
tech preview, it would be nice to have the minimal vfs/mm helpers in place in
the RHEL5.3 kernel for testing & future updates.

So this bug requests the addition of those changes for that support.

It's a minimal patch - current version is at:

http://repo.or.cz/w/ext4-patch-queue.git?a=blob;f=delalloc-vfs.patch;h=2d06314d140f921fc93e32ce87c31cd56afba60b;hb=HEAD

Thanks,
-Eric

Comment 1 RHEL Product and Program Management 2008-07-15 16:03:43 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Eric Sandeen 2008-08-11 20:44:38 UTC
Adding to ext4 tracker.

The patch is a bit bigger than the previous comment suggests, but it's not invasive.  5.3 may ship w/o delalloc support in ext4, but it would still be good, I think, to have the hooks in the kernel for further development and testing, and it would let us provide test ext4 kernel modules with delalloc, and still run on a stock RHEL5.3 kernel.

Thanks,
-Eric

Comment 5 Don Zickus 2008-09-15 14:18:10 UTC
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 errata-xmlrpc 2009-01-20 20:22:30 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.